Create
curl --request POST \
--url https://{defaultHost}/v1/parcel_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parcel_template": {
"name": "Small Box",
"dimensions": {
"length": 10,
"width": 8,
"height": 6,
"unit": "in"
}
}
}
'import requests
url = "https://{defaultHost}/v1/parcel_templates"
payload = { "parcel_template": {
"name": "Small Box",
"dimensions": {
"length": 10,
"width": 8,
"height": 6,
"unit": "in"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parcel_template: {name: 'Small Box', dimensions: {length: 10, width: 8, height: 6, unit: 'in'}}
})
};
fetch('https://{defaultHost}/v1/parcel_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "55229f3d-9d53-4053-a872-bc01d8681a8d",
"object": "parcel_template",
"default": false,
"dimensions": {
"length": 10,
"width": 8,
"height": 6,
"unit": "in"
},
"name": "Small Box",
"package_type": "box",
"weight": null,
"weight_unit": "lb",
"created_at": 1782485861,
"updated_at": 1782485861
}Parcel Templates
Create
Creates a new parcel template.
POST
/
v1
/
parcel_templates
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this parcel template is the account's default.
A name for this parcel template.
The type of package – one of box, poly_mailer.
The physical dimensions of this parcel template.
Show child attributes
Show child attributes
The weight of this parcel template.
The weight unit for this parcel template – one of lb, oz, kg, g.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I